Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84771 - disabling screen saver disables dpms
Summary: disabling screen saver disables dpms
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-21 04:35 UTC by bcboy
Modified: 2014-03-17 02:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-21 02:16:35 UTC


Attachments (Terms of Use)

Description bcboy 2003-02-21 04:35:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
The configuration gui disables DPMS if the screen saver is disabled.

DPMS is not the same as a screen saver, and the two should be set independently.
xscreensaver interferes with programs that need to manipulate screen blanking
options, such as xawtv or mplayer. These programs will correctly disable DPMS
during video playback. But in RH8 there's no way to turn on DPMS without
enabling xscreensaver, which results in the screen saver coming on during video
playback.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1."xset q" to get settings, verify that dmps is enabled.
2. Go to RedHat menu->Preferences->Screensaver.
3. Disable screen saver. Make sure dpms options are still enabled on the
"Advanced" tab.
4. Now do "xset q" to get settings. DPMS is now disabled. It should not be.  

Actual Results:  DPMS was disabled.

Expected Results:  DPMS should not be affected by screen saver setting.

Additional info:

Comment 1 Bill Nottingham 2003-03-21 02:16:35 UTC
DPMS settings are set through the screen saver; 'disabling' the screen saver
means it does not run at all.

Comment 2 bcboy 2003-03-21 18:44:52 UTC
> DPMS settings are set through the screen saver; 'disabling' the screen saver
> means it does not run at all.

Exactly. And that is a bug. It interferes with other programs.

In more detail, the screen saver options are

  o One
  o Random
  o Blank screen
  o Disabled

To avoid interfering with video programs which need to keep the monitor on,
dpms should be enabled, but the screen saver should never mess with the screen.
None of these options do this.

So either there needs to be another option, like "Do nothing", or the
"Disabled" setting needs to still honor the dpms setting.

Currently, the only way to watch video is to go edit the screen saver settings
every time you run the program, and restore them every time you're finished so
your monitor isn't left on constantly. This is broken.



Note You need to log in before you can comment on or make changes to this bug.